%global aname visualization.matrix
%global kodi_version 20.0
%global kodi_codename Nexus

Name:		kodi-visualization-matrix
Version:	20.2.0
Release:	1%{?dist}
Summary:	Matrix themed visualization plugin for Kodi

License:	GPL-2.0-or-later
URL:		https://github.com/xbmc/%{aname}
Source0:	%{url}/archive/v%{version}/%{aname}-%{version}-%{kodi_codename}.tar.gz

# Kodi does not support ppc64
ExcludeArch: %{power64}

BuildRequires:	cmake3
BuildRequires:	gcc
BuildRequires:	gcc-c++

BuildRequires:	kodi-devel >= %{kodi_version}
BuildRequires:	glm-devel
BuildRequires:	libglvnd-devel
BuildRequires:	platform-devel

Requires:	kodi >= %{kodi_version}

%description
%{summary}.


%prep
%setup -q -n %{aname}-%{version}-%{kodi_codename}


%build
%cmake3
%cmake3_build


%install
%cmake3_install


%files
%doc README.md
%license LICENSE.md
%{_libdir}/kodi/addons/%{aname}/
%{_datadir}/kodi/addons/%{aname}/


%changelog
* Tue Jan 31 2023 Michael Cronenworth <mike@cchtml.com> 20.2.0-1
- Update to 20.2.0

* Thu Dec 09 2021 Michael Cronenworth <mike@cchtml.com> 19.0.0-1
- Initial rpm file

